Package org.snpeff.geneSets.algorithm

# Enum Class EnrichmentAlgorithm.EnrichmentAlgorithmType

java.lang.Object
java.lang.Enum<EnrichmentAlgorithm.EnrichmentAlgorithmType>
org.snpeff.geneSets.algorithm.EnrichmentAlgorithm.EnrichmentAlgorithmType

All Implemented Interfaces:
  `Serializable`, `Comparable<EnrichmentAlgorithm.EnrichmentAlgorithmType>`, `Constable`

Enclosing class:
  `EnrichmentAlgorithm`

public static enum EnrichmentAlgorithm.EnrichmentAlgorithmType extends Enum<EnrichmentAlgorithm.EnrichmentAlgorithmType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FISHER`
`FISHER_GREEDY`
`LEADING_EDGE_FRACTION`
`NONE`
`RANKSUM`
`RANKSUM_GREEDY`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isBinary()`
Is the algorithm base on "interesting / not-interesting" binary clasification?
`boolean`
`isGreedy()`
Is this a greedy algorithm?
`boolean`
`isRank()`
Does the algorithm need a rank statistic?
`static EnrichmentAlgorithm.EnrichmentAlgorithmType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EnrichmentAlgorithm.EnrichmentAlgorithmType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FISHER_GREEDY

public static final EnrichmentAlgorithm.EnrichmentAlgorithmType FISHER_GREEDY

### RANKSUM_GREEDY

public static final EnrichmentAlgorithm.EnrichmentAlgorithmType RANKSUM_GREEDY

### FISHER

public static final EnrichmentAlgorithm.EnrichmentAlgorithmType FISHER

### RANKSUM

public static final EnrichmentAlgorithm.EnrichmentAlgorithmType RANKSUM

### LEADING_EDGE_FRACTION

public static final EnrichmentAlgorithm.EnrichmentAlgorithmType LEADING_EDGE_FRACTION

### NONE

public static final EnrichmentAlgorithm.EnrichmentAlgorithmType NONE

## Method Details

### values

public static EnrichmentAlgorithm.EnrichmentAlgorithmType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EnrichmentAlgorithm.EnrichmentAlgorithmType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isBinary

public boolean isBinary()
Is the algorithm base on "interesting / not-interesting" binary clasification?

Returns:

### isGreedy

public boolean isGreedy()
Is this a greedy algorithm?

Returns:

### isRank

public boolean isRank()
Does the algorithm need a rank statistic?

Returns: